import * as L from "leaflet";
declare global {
    interface Window {
        type: boolean;
    }
}
declare const _sfc_main: import("vue").DefineComponent<{
    loadPolygon: BooleanConstructor;
    reverseCoordinatesPolygon: BooleanConstructor;
    dataPolygon: ObjectConstructor;
    configurationMap: any;
    coordinatesMap: ArrayConstructor;
    getGeoJSON: FunctionConstructor;
    getCoodMarker: FunctionConstructor;
}, unknown, {
    idMap: string;
    mapRender: L.Map | null;
    markerRender: L.Marker<any> | null;
    renderCoordinates: unknown[] | undefined;
    renderGeojson: any;
    markerIcon: {
        iconUrl: string;
        iconSize: number[];
        iconAnchor: number[];
    };
    layersFeatureGroup: any;
    featuresData: any;
}, {}, {
    getLayersFeaturesInGeoJson(): (import("geojson").GeometryCollection<import("geojson").Geometry> | import("geojson").FeatureCollection<import("geojson").Geometry, any> | import("geojson").Feature<import("geojson").MultiPoint, any>)[];
    triggerSaveEdit(): void;
    makeid(length: number): void;
    renderMap(): void;
    createMap(): void;
    viewMap(): void;
    searchAddress(query: string): Promise<any>;
    setCoordinates({ lat, lng, }: {
        lat: number;
        lng: number;
        moveMarker?: boolean | undefined;
    }): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    loadPolygon: BooleanConstructor;
    reverseCoordinatesPolygon: BooleanConstructor;
    dataPolygon: ObjectConstructor;
    configurationMap: any;
    coordinatesMap: ArrayConstructor;
    getGeoJSON: FunctionConstructor;
    getCoodMarker: FunctionConstructor;
}>>, {
    loadPolygon: boolean;
    reverseCoordinatesPolygon: boolean;
    configurationMap: any;
}, {}>;
export default _sfc_main;
